from .WebRequestHandler import WebRequestHandler

class WebServer():

	def __init__(self, tup):
		self.__tup = tup

	def serve_forever(self):
		from http.server import HTTPServer

		server = HTTPServer(self.__tup, WebRequestHandler)
		server.serve_forever()